List Affiliates
Affiliates of the selected company and mode, newest first; filter by status or program membership. The affiliate's linked customer carries name and email only when the caller also holds customers:read.
GET
/affiliatesAffiliates of the selected company and mode, newest first; filter by status or program membership. The affiliate's linked customer carries name and email only when the caller also holds customers:read.
AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
Opaque signed cursor. Return it unchanged; valid for 24 hours.
Length
1 <= length <= 8192limit?integer
Range
1 <= value <= 100Default
50status?string
Value in
- "invited"
- "pending"
- "active"
- "suspended"
- "removed"
program?string
Opaque affiliate program ID.
Match
^prg_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/affiliates"{ "data": [ { "id": "string", "livemode": true, "handle": "string", "status": "invited", "display_name": "string", "email": "string", "notes": "string", "identity_attached": true, "listed_in_combined_view": true, "customer": { "id": "string", "name": "string", "email": "string" }, "memberships": [ { "program_id": "string", "status": "pending", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "pagination": { "next_cursor": "string", "has_more": true, "as_of": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846", "source": "primary"}